Page MenuHomePhabricator

All files should have the GPL header (unless explicitally licensed differently)
Closed, ResolvedPublic

Description

All files should have the GPL header (unless explicitally licensed differently)


Version: unspecified
Severity: enhancement

Details

Reference
bz26280

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:19 PM
bzimport set Reference to bz26280.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Dec 8 2010, 12:25 PM

(In reply to comment #1)

Catched a few of them with https://gerrit.wikimedia.org/r/33981

Status Merged

I am not sure how we could enforce that in mediawiki/core.git . Maybe make sure that whenever a PHP file is added in the repository, it matches the string "This program is free software".

Reedy added a comment.Nov 26 2012, 7:19 PM

(In reply to comment #3)

I am not sure how we could enforce that in mediawiki/core.git . Maybe make sure
that whenever a PHP file is added in the repository, it matches the string
"This program is free software".

Do we really need to?

If we get all files currently in the repo "fixed", then just be vigilant to any new ones added

Resolving as fixed, since I214a988e was merged.

(Unless we want to make this a jenkins task that would check all files for the header or something, but do we?)

I opened bug 42472 to add a lint check in Jenkins to make sure a new file contains the GPL header. That will avoid us having to remember about it or someone to reopen this bug :-)

Restricted Application added a project: Documentation. · View Herald TranscriptAug 10 2015, 3:45 PM